geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Kevan Miller <kevan.mil...@gmail.com>
Subject Re: 2.0 release status
Date Tue, 07 Aug 2007 15:20:19 GMT

On Aug 6, 2007, at 12:02 PM, Vamsavardhana Reddy wrote:

>
>
> On 8/6/07, Kevan Miller <kevan.miller@gmail.com> wrote:
>
<snip>
> 2.0 Release
> Matt and I have been working on updating branches/2.0.0 in
> preparation for a release. At the moment, the build is failing
> because of an xmlbeans version incompatibility. I haven't worked out
> the cause of this problem, yet. Once we're able to build, we can
> start testing and get a release vote started. This vote either cover
> the above specs/schemas/components releases or the vote would be
> dependent on separate release votes.
>
> I do not know if this information is of great help and if the  
> module I am referring here is the one causing build failure.  I  
> only hope it is useful.  When I build modules\geronimo-j2ee- 
> builder, I get a build failure with XmlBeans compile failed.  If I  
> use IBMJDK1.5.0 it builds fine, but, without the tests on.  I  
> remember running into a similar problem attempting to build G1.1 or  
> 1.2 (I don't remember exactly) with IBMJDK and that time I had to  
> tweak some "exclusion" tags to get past some errors.   This is what  
> prompted me to attempt if that module builds fine using IBMJDK.  I  
> have no explanation why the module builds fine in branches\2.0.

Turned out the problem was a bad geronimo-schema-j2ee_1.4 version. We  
were using 1.1-SNAPSHOT (which is wrong should be 1.2-SNAPSHOT) and  
switched to 1.1 for the release. This changed mavens classloading  
during the build in some subtle way. Fixing the version fixed the  
test error.

Thanks to David Jencks for a helping hand...

--kevan
Mime
View raw message